# SourcePath: srt/20210125dev
Summary   	: Secure Reliable Transport (SRT) optimizes streaming performance across unpredictable networks, such as the Internet.
Name	  	: sony-target-dev-srt
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-srt
Version: 1.4.2
Release: 14010001
Source: srt_%{version}.orig.tar.gz
URL: http://archive.ubuntu.com/ubuntu/pool/universe/s/srt/
License: MPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
Secure Reliable Transport (SRT) is an open source transport technology that optimizes 
streaming performance across unpredictable networks, such as the Internet.

%package -n %{pkgname}
Summary: SRT optimize streaming performance.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Secure Reliable Transport (SRT) is an open source transport technology that optimizes
streaming performance across unpredictable networks, such as the Internet.

%prep
%setup -n srt-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure
make CC="${CC}"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
#make install

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

    mkdir -p  %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
    mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
       %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

    for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`
    do
        if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
           ln -s ../..%{sony_target_devtool_lib_dir}/$l \
               %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
        fi
    done

mkdir -p  %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
mv  %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/include/* \
        %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/srt/*.h

%changelog
* Mon Jan 25 2021 Sony Corporation
- Adding srt package
